---
- name: Update apt cache
  apt:
    update_cache: yes

- name: Install required packages
  apt:
    name:
      - python3-launchpadlib
      - software-properties-common
    state: present

- name: Add Nicotine+ PPA repository
  apt_repository:
    repo: 'ppa:nicotine-team/stable'
    state: present

- name: Update apt cache again
  apt:
    update_cache: yes

- name: Install Nicotine+
  apt:
    name: nicotine
    state: present
